EDIABAS ToolSet

Welcome to EDIABAS ToolSet help version 4.0.0.

EDIABAS ToolSet history

EDIABAS ToolSet without mouse

Overview

INI file

Command line

Click on the corresponding symbol in the picture.


About

EDIABAS ToolSet help

Mr. Drexel

BMW AG

TI-538

phone: +49 89 382 44236

email: reinhold.drexel@bmw.de


EDIABAS ToolSet history

02.2011

V4.0.0

Support Chinese Windows XP, Windows 7

11.2010

V3.9.2

Direct job execution in argument wizard
Minor bugfixes

10.2010

V3.9.0

UDS-Check adapted to new ZEDIS rules
Enhanced test run enables jump to other test files
Minor bugfixes

05.2009

V3.8.0

Argument wizard for composing arguments of UDS Standard Jobs
Displaying additional results for UDS Standard Jobs (in job selection window)
Filtering of certain result endings for output in result window
New function for formal verification of UDS SGBDs
API.bas actualized (result buffer enhanced (64k) for EDIABAS V7)
Change to HTML help (*.chm)
Extended help menu, linking PDF files
Favored listing of tables SG_FUNKTIONEN and FORTTEXTE in table window
New: delay function in test run

Older History only available in German.

09.2006

V3.4.2

Unterstützung UDS-Protokoll (ISO 14229)
Fehlerspeicher Lesen wie INPA
Fenster Tabellen-Info
Doppelklick auf eine Zelle
a) Zellen enthält den Namen einer anderen Tabelle -> Anzeige der so gewählten Tabelle;
mit den dann eingeblendeten Tasten kann zwischen den Tabellen navigiert werden
Schachteltiefe max. 10 Tabellen
b) Zelleninhalt als Attribut in Fenster Jobauswahl übernehmen
Attribut leer -> Spaltenüberschrift und Zelleninhalt werden übernommen
Attribut nicht leer -> wenn Attribut mit "<Spaltenüberschrift>;" beginnt, wird der Zelleninhalt hinzugefügt
Spaltenbreite in Tabellen
a) Begrenzung der max. Breite einer Spalte auf ca. 1/3 der Bildschirmbreite; kann später manuell verändert (auch verbreitert) werden
b) wenn der Spalteninhalt nicht vollständig angezeigt wird: Maus auf die betreffende Zelle positionieren, Zelleninhalt wird im ToolTip angezeigt
c) wenn Spalteninhalt in ToolTip nicht vollständig anzeigbar: Zelle selektieren,
Inhalt in Zwischenablage und in einem beliebigen Editor einfügen
Hinweis: ganze Spalten selektierbar, mit <Shift> Spaltenbereiche selektierbar
Auswahl einer Tabelle aus Fenster Job-Info
a) Doppelklick auf Tabellennamen ("..... table <tablename> <spalte1> <spalte2>" etc.)
in der Zeile muss das Keyword "Table" vor dem selektierten Text
(Select oder Dblclick möglich) stehen: Tabelle wird in Tabellen-Info angezeigt
b) stehen hinter dem Tabellennamen noch Spaltennamen, werden nicht aufgeführte Spalten minimiert dargestellt
Fenster Jobauswahl
Übernahme Argumente aus anderen Fenstern
a) aus einer Tabelle (siehe oben)
b) mit Drag&Drop aus anderen Text-Fenstern (z.B. Job-Info)
normal: markierter Text wird zum Argument
mit <Shift>: markierter Text wird an bestehendes Argument angehängt
Multiinstanz
Fenstergrößen, Fensterpositionen, letzte Attribute und zuletzt verwendete Dateien werden für jede Instanz getrennt gespeichert.
Applikationsparameter
Es werden zu jeder Instanz Größe und Position der Applikation gespeichert und wiederhergestellt.
Bei mehreren Monitoren wird nur der Hauptmonitor unterstützt!
Bei Multiinstanz=N wird immer mit Vollbild gestartet, Größe/Position erst nach dem Verkleinern.

04.2003

V3.2.3

32-Bit Version
Erweiterung Autoload für tst/prg/grp

01.2003

V3.0.0

32-Bit Version
Drucker neu dazu
Deutsch/English Version
Erweiterung der Hilfe

12.1997

V2.0.0

16-Bit und 32-Bit Version
Fehlerspeicher lesen wie INPA Umweltsätze neu dazu
Timerauflösung für ADS, KBUS in About neu
IfhTrace Level 1-4 neu dazu
Performancesteigerung bei Job-Information
Tabellen-Info neu dazu
Jobauswahl Suchfunktion neu dazu

02.1997

V1.2.0

Ausgabe der Job-Informationen bei ungestippten SGBD'en.
Pufferlisten zur Performancesteigerung integriert.
Resultausgabe sortiert (Standard) und in Resultlistenreihenfolge
EMEDIT.VBX durch EMEDIT2.VBX ersetzt.

07.1996

V1.1.1

Test-Trennzeichen jetzt '|' vorher ','

06.1996

V1.1.0

Editorbox neu (EMEDIT.VBX).
Ausgabeform für Tests geändert.
Jobfenster schließen jetzt möglich, damit die SGBD freigegeben wird
( Share-Fehler beim Compilieren ).

05.1996

V1.0.0

Freigegebene Version.


Keyboard handling

Keyboard handling (shortcuts)

Standard Handling of Windows:

Ctrl F6 Ctrl TAB | Go from one output window to another
Ctrl Ins | Copy selection to the clipboard
Ctrl P | Print
Alt F4 | End of program
Ctrl F4 | Close the output window
Alt | Sets focus to menu bar

Menu Handling:

Alt F | File menu
Alt J | Job menu
Alt T | Test menu
Alt C | Configuration menu
Alt T T | Trace menu
Alt W | Window menu
Alt H | Help menu

Job Handling:

F3 | Load SGBD or Group file
Ctrl J | Go to the Select Job Window
F5 | Start Job once
F6 | Start Job continual

Test menu:

Ctrl F3 | Load Test
Ctrl B | Go to the Test Window
F7 | Start the Test (one test step)
F8 | Start the Test (all test)

Configuration:

Ctrl E | EDIABAS-Configuration
Ctrl T | EDIABAS ToolSet-Configuration


Overview

Click on the corresponding symbol in the picture.


File menu

Click on the corresponding symbol in the picture.


Loading SGBD, Group file

Loading a Control-Unit-Description-File (SGBD) respectively group file.

The Control-Unit-Description-File (SGBD) is identified by the file extension '.PRG' and included into file history.

The group file is identified by the file extension '.GRP' and included into file history.

Accordingly, the EDIABAS ECU-Path is automatically changed.

When group file is loaded, the variant is determined and the jobs of this variant are shown in the 'Select Job List'.

The job access is realized via group file.

Moreover, when EDIABAS Simulation is active, the corresponding simulation file is loaded automatically.

Simulation file has the file extension '.SIM' and is searched in the EDIABAS Simulation-Path.

In case simulation file is not found, an according message will be sent.


Save simulation file

Saving of simulation file.

The simulation file is saved in the EDIABAS simulation-path as text file with the extension '.SIM'.


New test

Preparing an empty test window.

Simple test steps can be revised and executed in the test window.


Loading of test

Loading of a test into test windows.

To load (open) a test into the test window.

A test file is determined by the extension '.TST' and included into file history.

Simple test steps can revised and executed in the test window.


Saving of test

To save the tests.

The test file is to be saved as text file with the extension '.TST' and included into file history.

The test file has the following format:

Every test step is determined by a new line.

Every item in the column is separated by '|'. So '|' is not a valid character in this case.

The character '|' at the end of a line is not necessary.


Saving of test as...

To save the tests.

The test file is to be saved as text file with the extension '.TST' and included into file history.

The test file has the following format:

Every test step is determined by a new line.

Every item in the column is separated by '|'. So '|' is not a valid character in this case.

The character '|' at the end of a line is not necessary.


UDS check

This menu item can be selected when a SGBD containing a table SG_FUNKTIONEN is loaded.

Executes a formal verification of the table SG_FUNKTIONEN and referred detail tables. The result will be shown in the result window..

Example for verification without errors::

================================

SGBD01: Start Check

================================

Checking table SG_FUNKTIONEN ....

Table existent

Table header ok

Checking unique use of ARG....

Checking plausibility of table SG_FUNKTIONEN and Service-IDs....

================================

SGBD01: End Check

================================

Errors will be shown with indication of error type, table name and line number.


UDS check list

Allows the selection of multiple SGBDs for verification of formal criteria.

The results will be shown in the result window.

The menu item can be activated by settings in configuration file TOOL32.INI.

[KONFIGURATION]

UDS_CHECK_LISTE = 1


Printer info

Printing available in the following windows:

· result
· IFH Result
· simulation
· job info.


File history

The last 5 used Control-Unit-Description-Files (SGBD), Group Files or Test Files are noted in the file history. They are saved in the file TOOL32.INI in windows directory and available for the next restart.


Exit program

The program will be ended.

In case a changed simulation file or a changed test still is open, a message will ask you to save this file before closing the EDIABAS ToolSet.


Job menu

Click on the corresponding symbol in the picture.


Ecu info

Information about the opened Control-Unit-Description-File (SGBD) by the virtual EDIABAS Job _VERSION.


Select job

Click on the corresponding symbol in the picture.


Jobs

Selective job list shows all jobs available in the SGBD.

Search function:

There is a automatic search function integrated. Enter characters to define a filter string, press DEL to clear characters ord press ESC to deactivate filter. When filter is active, cursor keys UP and DOWN lead to the next job that matches the filter.


Arguments

To assign arguments.

The separator for every argument is a ';':

If there are arguments of type DATA, this has to be 'ja' for YES (default is nein="" for NO).

DATA-Argument is a Hex-String with: 2-digit, without a blank or 1- or 2-digit with a blank for seperartor.

Example Argument:

Arg1;Arg2;Arg3

Example DATA Argument:

1234567890 => 5 Bytes 0x12 0x34 0x56 0x78 0x90

12 03 4 AB C => 5 Bytes 0x12 0x03 0x04 0xAB 0x0C


Job data

Data

If there are arguments of type DATA, this has to be 'ja' for YES (default is nein="" for NO).

To change the status press the blank-key.


Argument wizard

The button "Clear" clears the argument input line.

The button "Argument wizard" is only active when one of the 4 UDS standard jobs (STATUS_LESEN, STEUERN, STEUERN_IO or STEUERN_ROUTINE) is selected.

The "Argument wizard“ enables easy filling of the argument input line. The dialogue is a modal window. It must be closed before the other functions in EDIABAS ToolSet can be used.

With option "multipe selection" activated the dialogue for STATUS_LESEN allows you to select several DIDs, which are subsequently used as arguments. When using this option, please keep in mind how many DIDs can be processed by the control unit.

Button "OK": Wizard will be closed, chosen arguments are written to argument line in job selection window.
Button "Run job": job is executed immediately with chosen arguments, wizard remains open.

The dialogue for STEUERN.... jobs allows you to select one individual DID and enter the other corresponding arguments.

A selection box is displayed for digital and discrete values; for all other data types, an input field is shown.

Button "OK": Wizard will be closed, chosen arguments are written to argument line in job selection window.
Button "Run job": job is executed immediately with chosen arguments, wizard remains open.

Additional notes:

Display of content of column Info (of respective line selected) in the form of explanatory text

Color change if value limits or min/max have been violated or argument has not been entered. This should be seen as information. The final check of the argument is carried out in the standard job and the control unit.

Fields, which are highlighted red, can be taken over.

When the dialogue is opened, the system tries to fill out arguments with the current content of the argument input line.

For the job STEUERN_ROUTINE the arguments are filtered by means of the control parameter.


Argument information

Shows the Argument information for Jobs requiring arguments (only when Argument-Information selected in the Configuration.

Read Job-Information for job details.


Results

You can select some separate results in the selective result list, all results will be shown on no selection.

The separator for the requested results is a ';' .

Press Return-Key (Enter-Key) takes over the select result to the result list.

They are saved in the file TOOL32.INI in windows directory and available for the next restart.

When one of the 4 UDS standard jobs (STATUS_LESEN, STEUERN, STEUERN_IO oder STEUERN_ROUTINE) is selected, additional results will be determined according to the content of the argument input line. This results will be shown in addition to the "real" job results. Selection of theese results does not acffect EDIABAS job calls (not forwarded as job arguments).


Start job once only

Execute job once

Starting a job marked in the select-job-window. The results or the EDIABAS error message is noted in the result window.


Start job continually

Permanent execution of job

Permanent execution of a job marked in the select-job-window. The results or the EDIABAS error message is noted respectively updated in the result window.

Execution is stopped by pressing this button again.

After a short period the average job execution time is mentioned in the result window.

The result window shows an information by which a delay of diagnostics can be adjusted. The information is not shown anymore when execution is stopped. The value adjusted is saved but it has no effect when 'Execute job once'.


Test menu

Click on the corresponding symbol in the picture.


Edit test

Example

Click on the corresponding symbol in the picture.


Example

Nr | n | SGBD | JOB | (data) | ARGUMENT | RESULT | (view) | L:Name | L:Wert | L:Ja | L:Nein
1 | 1 | IHKA39 | IDENT |  |  |  |  |  |  |  |
2 | 1 | IHKA39 | IDENT |  |  |  | nein | JOB_STATUS | OKAY | 3 | 2
3 | 1 |  |  |  |  | JOB_STATUS |  |  |  | 5 |
4 |  |  |  |  |  |  |  |  |  |  |
5 | 5 | IHKA39 | FS_LESEN |  |  | F_ORT_NR |  |  |  |  |
6 | 1 | IHKA39 | IDENT |  |  |  |  | ID_BMW_NR | 123456 | XYZ |
7 | 3 |  | &delay |  | 1500 |  |  |  |  |  |
8 | 1 | UTILITY | STATUS_UBATT |  |  | UBATT | nein | UBATT | 0 | 8 |
9 | 1 | IHAK39 | RAM_LESEN |  | 0x00;32 |  |  |  |  |  |
10 | 1 | IHKA39 | SCHREIBE | ja | 0110CA | JOB_STATUS |  |  |  |  |
Line 1 | Start once the Job Ident from IHKA39.PRG.
Line 2 | Start once the Job Ident from IHKA39.PRG. No output in the result window. If Job_Status='OKAY' then go to line 3 else stay in line 2.
Line 3 | Start no job but read the result from Job_Status, and print out in the result window. Go to line 5.
Line 4 | No function.
Line 5 | Start the Job Fs_Lesen from IHKA39.PRG 5 times. Read the result from F_Ort_Nr, and print out in the result window.
Line 6 | Start once the Job Ident from IHKA39.PRG. Output in the result window. If ID_BMW_NR='123456' then load test "XYZ.TST", continue in line 1, otherwise continue in line 7 of current test.
Line 7 | Delay of 3 * 1500 ms, test run will wait for 4,5 seconds.
Line 8 | Start once the Job Status_Ubatt from UTILITY.PRG. Read the result Ubatt. No output in the result window. if Ubatt='0' then stay in line 8 else go to line 9.
Line 9 | Start once Job Ram_Lesen from IHKA39.PRG. With two arguments 0 and 32 View the result in the result-window.
Line 10 | Start once Job Ram_Lesen from IHKA39.PRG. With three bytes argument of type Byte DATA 0x02 0x10 0xCA. Read the result from Job_Status. View the result in the result-window.


Input line

Input line for the active field in the test matrix.


Test step

Line number for a test step. This is a jump mark for L: Ja and/or L: Nein.


n

Number of passes for this test step.


SGBD

Name of the Control-Unit-Description-file respectively Group file. The current EDIABAS ECU-directory is accessed.

Attention:

By loading a SGBD possibly the EDIABAS ECU-directory can be changed!


Test JOB

JOB

Name of the job selected.


(data)

If there are arguments of type DATA, this has to be 'ja' for YES (default is nein="" for NO).

To change the status press the blank-key.


ARGUMENT

To assign arguments.

The separator between arguments is a ';'.

If there are arguments of type DATA, this has to be 'ja' for YES (default is nein="" for NO).

DATA-Argument is a Hex-String with: 2-digit, without a blank or 1- or 2-digit with a blank for seperartor.

Example Argument:

Arg1;Arg2;Arg3

Example DATA Argument:

1234567890 => 5 Bytes 0x12 0x34 0x56 0x78 0x90

12 03 4 AB C => 5 Bytes 0x12 0x03 0x04 0xAB 0x0C


RESULT

Name of requested result

The separator between requested results is a ';' .

Is no result selected, printout all results.

Example Result:

Result1;Result2;Result3


(view)

Will you to suppress the result there have to be 'nein' for NO (default is 'ja'="" for YES).

To change the status press the blank-key.

Attention:

The program might slow down, when many results are shown in the result window.

When the test steps run multiple, it is better the output remains 'nein' for NO and the Api-Trace or IFH-Trace is switch on.


Logic name

L: Name

Name of RESULT for the Logic compare.

If none input in L: Name there is none compare function.

The columns L: Name, L: Wert, L: Ja, L: Nein serve the Test step to following logic:

if L:Name = "L:Wert" then goto L:Ja else goto L:Nein


Logic value

L: Value

Text string compare the data content from L: Name.

If none input in L: Name there is none compare function.

The columns L: Name, L: Wert, L: Ja, L: Nein serve the Test step to following logic:

if L:Name = "L:Wert" then goto L:Ja else goto L:Nein


Logic yes

L: Yes

If the compare true from 'L: Name' content with L:WERT content then jump to the testline L: Ja.

Is L: Ja input empty goes to the next line

If none input in L: Name there is none compare function.

The columns L: Name, L: Wert, L: Ja, L: Nein serve the Test step to following logic:

if L:Name = "L:Wert" then goto L:Ja else goto L:Nein


logic no

L: No

If the compare not true from 'L: Name' content with L:WERT content then jump to the testline L: Nein.

Is L: Nein input empty goes to the next line

If none input in L: Name there is none compare function.

The columns L: Name, L: Wert, L: Ja, L: Nein serve the Test step to following logic:

if L:Name = "L:Wert" then goto L:Ja else goto L:Nein


Testmatrix

TEST-Matrix field has several control options:

1) positioning to a Testfeld via mouse-click or Cursor. The control step feld show the active Testfeld top left.

2) The adjustment for the colum size is a automatic process, but width can be changed by mouse also.

3) select the fields via mouse.

you can the selectet Text with the keys

Ctrl-Ins copy in clipboard,

Shift-Del delete and copy in clipboard,

Shift-Ins copy/insert from clipboard.


Execution of test step

Execution of the test step selected in the test window. The results or the EDIABAS error message is noted in the result window.


Execution of test

Execution of the test selected in the test window. The results or the EDIABAS error message is noted in the result window.

Execution is stopped by pressing this button again.


Configuration menu

Click on the corresponding symbol in the picture.


EDIABAS configuration

Click on the corresponding symbol in the picture.


EDIABAS configuration non-changeable information

EDIABAS configuration

Non-changeable information:

EDIABAS | EDIABAS Version
IFH | Interface Handler Version
Interface | Interface Hardware
BIP | Level Best Interpreter Debuglevel
Paths |
Ini | Path of EDIABAS.INI file
ECU | Path for SGBD '.PRG' and group files '.GRP'
Sim | Path for simulation files '.SIM'
Trace | Path for trace files IFH.TRC


EDIABAS configuration changeable options

EDIABAS configuration

Changeable Options:

Simulation | Simulation mode on / off
IfhTrace | Interface Trace on / off (when trace is switched on, selection of trace-level 1-4)
RetryComm | Repeat Error Counter on / off
SystemResults | System Results in set 0 on / off
UbattHandling | Battery Error Handling on / off
IgnitionHandling | Ignition Error Handling on / off


EDIABAS ToolSet configuration

Click on the corresponding symbol in the picture.


EDIABAS ToolSet configuration standard options

EDIABAS ToolSet configuration

Standard Options:

Toolbar | toolbar display on / off
Headline | headline display on / off
Infoline | help-, infoline on / off


EDIABAS ToolSet configuration select language

EDIABAS ToolSet configuration

Select language

Language0 | German
Language1 | English


EDIABAS ToolSet configuration output options

EDIABAS ToolSet configuration

Output Options:

Result output sorted | Result output sorted on / off The results are sorted (EDIABAS-standard output) or indicated in the order of result list.
Read error like INPA | FS-reading in INPA-format on / off INPA: 'Interpreter for Test sequenz' is an EDIABAS-application for rework in the plants.


EDIABAS ToolSet configuration information options

EDIABAS ToolSet configuration

Information Options:

Job-Informationen | Job-Information window on / off The job information is only available with unstripped SGBDs
Argument- Informationen | Argument-Information on / off The job information is only available with unstripped SGBDs.
Result- Informationen | Result-List on / off The job information is only available with unstripped SGBDs.
Tabellen- Informationen | Table-Information window on / off


EDIABAS ToolSet configuration INPA error memory mode

EDIABAS ToolSet configuration

INPA Error Memory Mode:

If option FS-reading like INPA is active, here the display options can be modified like in INPA.

Error location | On / off
PCode and PCode7 | On / off (BN2000 only)
SAECode | On / off (UDS only)
Number of errors | On / off
Kind of error | On / off
Environmental cond. Value Unit | On / off On / off On / off
Error HexCode | On / off


EDIABAS ToolSet configuration UDS output options

EDIABAS ToolSet configuration

UDS Output Options:

Deselection of check boxes will disable listing of results with certain endings in the result window. Thus after job execution results might be more clearly represented in the result window..

Display can be disabled for results with following endings:

_EINH | On / off
_INFO | On / off
_TEXT | On / off


Trace menu

Click on the corresponding symbol in the picture.


IFH trace display

Display of IFH (InterfaceHandler) Trace file.

The file is searched in the EDIABAS Trace-path under IFH.TRC.

The file can only be displayed, when the EDIABAS IFH Trace-mode is not active.


Deleting IFH trace

Deleting the IFH (InterFaceHandler) Trace-file.

The file is searched in the EDIABAS Trace-path under IFH.TRC.


Windows menu

Click on the corresponding symbol in the picture.


Windows overlapping

All opened windows are shown overlapped. As some windows have a fixed minimum size, it could be that not all windows are of the same size.


One window below the other

All opened windows are shown below the others. As some windows have fixed minimum sizes, it could be that partly the windows overlap.


Tile windows

All opened windows are shown side by side. As some windows have fixed minimum sizes, it could be that partly windows overlap.


Arrangement of symbols

All symbols are newly arranged at the lower window margin.


Result window

Display Windows for Tests or Jobs.

The result window shows an information (bar) by which a delay of diagnostics can be adjusted. The information is not shown anymore when execution is stopped. The value adjusted is saved but it has no effect when 'Execute job once'.

This window can not be edited.

But you can select the information in the table with compination Ctrl-Insert Key and save to clipboard.

Depending on EDIABAS ToolSet configuration setting results might be listed filtered. This means, that results with certain endings might not be listed. An active filter is indicated by a notice line at the end of the result window.


Table information

The window is display the available table-Information.

One of the available table-Information can be selected in the Select-List.

The 'DEL- Key' disables the active table column.

The 'INS-Key' enables the active table column.

This window can not be edited, but you can select the information in the table with compination Ctrl-Insert Key and save to clipboard.

see also Job-Information


Job information

This window show available the Job-Information.

When a comment refers to a table in the form: table TableName TableColum

a double click on the TableName shows the table in the Table-Information-Window.

It is not allowed to edit this window, but selected information can be copied to the clipboard (Ctrl-Insert Key).


Simulation file

Display of Simulation file.

This window can be edited.

Pressing the 'INS-Key' (Insert) change the insert mode to overwrite mode

Key F2 saves the changed file.

Attention:

EDIABAS accesses the Simulation file on disk, save changes first.


Trace file

Display of IFH (InterFaceHandler) Trace file.

This window can not be edited.

But you can select the information in the table with combination Ctrl-Insert Key and save to clipboard.

Attention:

The file can only be looked at, if the EDIABAS IFH Trace-mode is not active.


Help menu

Click on the corresponding symbol in the picture.


Help

Opens this help file.


EDIABAS documentation

Via help menu following files in PDF format can be opened:

· Anleitung_STATUS_STEUERN_UDS.pdf
· FAQ.pdf

Installation of Acrobat Reader is required.

The menu items are selectable when the file exists in directory \..\doku\english\.

Access to \..\doku\deutsch\ is relative to EDIABAS\bin directory, where from EDIABAS ToolSet must be started.

Example for complete path: C:\EDIABAS\DOKU\English.


What is new?

File Tool32_News_EN.pdf can be opened via help menu:

Installation of Acrobat Readers is required.

menu item is selectable, when the file exists in the directory where from EDIABAS ToolSet has been started.

The file contains information regarding recent changes and bug fixes.

This might include information which is not available in online help.


EDIABAS help

EDIABAS online help

Via help menu the EDIABAS online help can be opened:

The menu item is selectable, when file \..\doku\html\index.html exists.

Access to the help file is relative to EDIABAS\bin directory, where from EDIABAS ToolSet must be started.

Example for complete path: C:\EDIABAS\DOKU\html\index.html.


About

About information is shown.


INI file

INTERFACExx = Interface,Unit,Application,Configuration

MULTIINSTANZ = N (NO,Nein or any other than character 'Y' or 'J' )

MULTIINSTANZ = J or Y (YES,Ja)

LANGUAGE = D or any other than character 'E' for German

LANGUAGE = E for English

[KONFIGURATION]

INTERFACE01 =

INTERFACE02 = STD:OMITEC,,,

INTERFACE03 = STD:OBD,3,,

INTERFACE04 =

INTERFACE05 =

INTERFACE06 =

INTERFACE07 =

INTERFACE08 =

INTERFACE09 = ENET,,,REMOTEHOST=169.254.99.99

MULTIINSTANZ = N

LANGUAGE = E


Command line

The program sends no respond about a succeed process!

Start EDIABAS ToolSet Script from CASCADE with TRACE-Recording

Start options for CASCADE is:

"TOOL32 <TEST_FILE > <API-Trace-Level> <IFH-Trace-Level>"

1.Parameter <TEST_FILE> with Path must point to *.tst file in the ECU-Directory

2. Parameter <API-Trace-Level> (0-4), 0 = non Trace (Standard is 1)

3. Parameter <IFH-Trace-Level> (0-4), 0 = non Trace (Standard is 2)

The EDIABAS ToolSet start automatically, load and run TEST and close the program.

EDIABAS ToolSet mit Interface-Parametern

Ediabas-Toolset offers to determine interface parameters in the command line.

Format: "TOOL32 -INTERFACExx = Interface,Unit,Application,Configuration"

xx represents interface number from 01 to 09, for details to Interface, Unit, Application and Configuration refer to section apiInitExt in Ediabas documentation.

Example:
TOOL32 -INTERFACE03 = STD:OBD,3,,
Interface OBD is used, from OBD.INI parameter in section 3 are used.

Note: When using this option, in TOOL32.INI in section [KONFIGURATION] following entries will be stored or updated.
* MULTIINSTANZ will be set to value "J"
* Parameters are stored to INTERFACExx